Search Gradle plugins

net.mbonnin.one.eight

A simple Gradle plugin to make all your Android/Kotlin things target JDK 1.8

https://github.com/martinbonnin/one-eight

Version 0.2 (latest)

Created 16 December 2020.

A simple Gradle plugin to make all your Android/Kotlin things target JDK 1.8

Using the plugins DSL:

plugins {
  id "net.mbonnin.one.eight" version "0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.net.mbonnin:one-eight:0.2"
  }
}

apply plugin: "net.mbonnin.one.eight"

Using the plugins DSL:

plugins {
  id("net.mbonnin.one.eight") version "0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.net.mbonnin:one-eight:0.2")
  }
}

apply(plugin = "net.mbonnin.one.eight")

Learn how to apply plugins to subprojects